<?php

namespace AppBundle\Entity\Booking;

use Doctrine\ORM\Mapping as ORM;
use Dunglas\ApiBundle\Annotation\Iri;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;
use AppBundle\Entity\Traits\TimestampableEntity;
use AppBundle\Entity\Traits\CreatorUpdaterEntity;

/**
 * Répartition des âges dans une prestation pédagogique EducationnalProject
 *
 * @Iri("http://schema.org/EducationalProjectAge")
 */
#[ORM\Entity]
class EducationalProjectAge
{
    use TimestampableEntity;
    use CreatorUpdaterEntity;
    /**
     * @var int
     */
    #[ORM\Column(type: 'integer')]
    #[ORM\Id]
    #[ORM\GeneratedValue(strategy: 'AUTO')]
    #[Groups(['educationalprojectage', 'educationalproject_details'])]
    private $id;
    /**
     * @var int
     */
    #[ORM\Column(type: 'integer', nullable: true)]
    #[Assert\Type(type: 'integer', message: 'invalid-integer')]
    #[Groups(['educationalprojectage', 'educationalproject_details_agedistribution'])]
    private $rep0to3;
    /**
     * @var int     */
    #[ORM\Column(type: 'integer', nullable: true)]
    #[Assert\Type(type: 'integer', message: 'invalid-integer')]
    #[Groups(['educationalprojectage', 'educationalproject_details_agedistribution'])]
    private $rep4to6;
    /**
     * @var int     */
    #[ORM\Column(type: 'integer', nullable: true)]
    #[Assert\Type(type: 'integer', message: 'invalid-integer')]
    #[Groups(['educationalprojectage', 'educationalproject_details_agedistribution'])]
    private $rep7to11;
    /**
     * @var int     */
    #[ORM\Column(type: 'integer', nullable: true)]
    #[Assert\Type(type: 'integer', message: 'invalid-integer')]
    #[Groups(['educationalprojectage', 'educationalproject_details_agedistribution'])]
    private $rep12to15;
    /**
     * @var int     */
    #[ORM\Column(type: 'integer', nullable: true)]
    #[Assert\Type(type: 'integer', message: 'invalid-integer')]
    #[Groups(['educationalprojectage', 'educationalproject_details_agedistribution'])]
    private $rep16to25;
    /**
     * @var int     */
    #[ORM\Column(type: 'integer', nullable: true)]
    #[Assert\Type(type: 'integer', message: 'invalid-integer')]
    #[Groups(['educationalprojectage', 'educationalproject_details_agedistribution'])]
    private $repAdult;
    /**
     * @var int     */
    #[ORM\Column(type: 'integer', nullable: true)]
    #[Assert\Type(type: 'integer', message: 'invalid-integer')]
    #[Groups(['educationalprojectage', 'educationalproject_details_agedistribution'])]
    private $repSenior;
    /**
     * @var int     */
    #[ORM\Column(type: 'integer', nullable: true)]
    #[Assert\Type(type: 'integer', message: 'invalid-integer')]
    #[Groups(['educationalprojectage', 'educationalproject_details_agedistribution', 'planning_detail_educationalproject'])]
    private $total;
    /**
     * Sets id.
     * 
     * @param int $id
     * 
     * @return $this
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }
    /**
     * Gets id.
     * 
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Sets rep0to3.
     * 
     * @param int $rep0to3
     * 
     * @return $this
     */
    public function setRep0to3($rep0to3)
    {
        $this->rep0to3 = $rep0to3;

        return $this;
    }
    /**
     * Gets rep0to3.
     * 
     * @return int
     */
    public function getRep0to3()
    {
        return $this->rep0to3;
    }
    /**
     * Sets rep4to6.
     * 
     * @param int $rep4to6
     * 
     * @return $this
     */
    public function setRep4to6($rep4to6)
    {
        $this->rep4to6 = $rep4to6;

        return $this;
    }
    /**
     * Gets rep4to6.
     * 
     * @return int
     */
    public function getRep4to6()
    {
        return $this->rep4to6;
    }
    /**
     * Sets rep7to11.
     * 
     * @param int $rep7to11
     * 
     * @return $this
     */
    public function setRep7to11($rep7to11)
    {
        $this->rep7to11 = $rep7to11;

        return $this;
    }
    /**
     * Gets rep7to11.
     * 
     * @return int
     */
    public function getRep7to11()
    {
        return $this->rep7to11;
    }
    /**
     * Sets rep12to15.
     * 
     * @param int $rep12to15
     * 
     * @return $this
     */
    public function setRep12to15($rep12to15)
    {
        $this->rep12to15 = $rep12to15;

        return $this;
    }
    /**
     * Gets rep12to15.
     * 
     * @return int
     */
    public function getRep12to15()
    {
        return $this->rep12to15;
    }
    /**
     * Sets repAdult.
     * 
     * @param int $repAdult
     * 
     * @return $this
     */
    public function setRepAdult($repAdult)
    {
        $this->repAdult = $repAdult;

        return $this;
    }
    /**
     * Gets repAdult.
     * 
     * @return int
     */
    public function getRepAdult()
    {
        return $this->repAdult;
    }
    /**
     * Sets repSenior.
     * 
     * @param int $repSenior
     * 
     * @return $this
     */
    public function setRepSenior($repSenior)
    {
        $this->repSenior = $repSenior;

        return $this;
    }
    /**
     * Gets repSenior.
     * 
     * @return int
     */
    public function getRepSenior()
    {
        return $this->repSenior;
    }
    /**
     * Sets total.
     * 
     * @param int $total
     * 
     * @return $this
     */
    public function setTotal($total)
    {
        $this->total = $total;

        return $this;
    }
    /**
     * Gets total.
     * 
     * @return int
     */
    public function getTotal()
    {
        return $this->total;
    }
    /**
     * Set rep16to25
     *
     * @param integer $rep16to25
     *
     * @return EducationalProjectAge
     */
    public function setRep16to25($rep16to25)
    {
        $this->rep16to25 = $rep16to25;

        return $this;
    }
    /**
     * Get rep16to25
     *
     * @return integer
     */
    public function getRep16to25()
    {
        return $this->rep16to25;
    }
}
